[coreboot-gerrit] Change in coreboot[master]: util: Add script to download FSP headers

Krzysztof M Sywula (Code Review) gerrit at coreboot.org
Sat Aug 25 01:28:00 CEST 2018


Krzysztof M Sywula has uploaded this change for review. ( https://review.coreboot.org/28339


Change subject: util: Add script to download FSP headers
......................................................................

util: Add script to download FSP headers

This is small script that updates existing FSP header files
with ones downloaded from github.

To run do:
./update-fsp-headers.sh CoffeeLake

Change-Id: I2cda87a4cbfa7ce102b10b555f83cdf163c80e5f
Signed-off-by: Krzysztof Sywula <krzysztof.m.sywula at intel.com>
---
A util/update-fsp-headers/update-fsp-headers.sh
1 file changed, 27 insertions(+), 0 deletions(-)



  git pull ssh://review.coreboot.org:29418/coreboot refs/changes/39/28339/1

diff --git a/util/update-fsp-headers/update-fsp-headers.sh b/util/update-fsp-headers/update-fsp-headers.sh
new file mode 100755
index 0000000..f54d3dc
--- /dev/null
+++ b/util/update-fsp-headers/update-fsp-headers.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+set -e
+
+type curl
+type dos2unix
+
+if [ "$#" -ne 1 ]; then
+  printf "Usage: ./$0 <CPU family>\n"
+  printf "Available params: ApolloLake CannonLake CoffeeLake\n"
+  exit 1
+fi
+
+FAMILY="${1}"
+ME="$(dirname "$(readlink -f "$0")")"
+DEST="${ME}"/../src/vendorcode/intel/fsp/fsp2_0/$(echo $1 | tr '[A-Z]' '[a-z]')
+
+if ! [ -d "${DEST}" ]; then
+  printf "Destination path does not exist: ${DEST}"; exit 1
+fi
+
+do_work() {
+  wget -O "${DEST}"/"${1}" https://raw.githubusercontent.com/IntelFsp/FSP/master/"${FAMILY}"FspBinPkg/Include/"${1}"
+  dos2unix "${DEST}"/"${1}"
+}
+
+do_work "FspmUpd.h"
+do_work "FspsUpd.h"

-- 
To view, visit https://review.coreboot.org/28339
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings

Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-MessageType: newchange
Gerrit-Change-Id: I2cda87a4cbfa7ce102b10b555f83cdf163c80e5f
Gerrit-Change-Number: 28339
Gerrit-PatchSet: 1
Gerrit-Owner: Krzysztof M Sywula <krzysztof.m.sywula at intel.com>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.coreboot.org/pipermail/coreboot-gerrit/attachments/20180824/c987254d/attachment.html>


More information about the coreboot-gerrit mailing list